package com.malk.lilin.Service;


import com.malk.server.common.McR;
import org.springframework.scheduling.annotation.Async;

import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface LiLinService {

    McR lilinUpsert(List<String> rqqj,String bdbh);


    McR hqbank(Map<String, Object> map) throws IOException;
    @Async
    McR lilinZD(Map<String, Object> map) throws IOException;

    McR lilinJG(Map<String, Object> map) throws IOException;

    McR lilinLS(Map<String, Object> map) throws IOException;

    McR lilinLSCF(Map<String, Object> map) throws IOException;

    McR taskPLJG() ;
    @Async
    McR lilinBatchUpdate(Map<String, Object> map) throws IOException;
}
